Bug 1264830 - Offline EAP JDR attachment leads Internal server error
Offline EAP JDR attachment leads Internal server error
Status: CLOSED WONTFIX
Product: JBoss Operations Network
Classification: JBoss
Component: Red Hat Access (Show other bugs)
JON 3.3.4
x86_64 Linux
medium Severity high
: ER01
: JON 3.3.5
Assigned To: Michael Burman
Mike Foley
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-21 06:22 EDT by Jeeva Kandasamy
Modified: 2016-06-13 07:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 10:33:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
support page (92.89 KB, image/png)
2015-09-21 06:22 EDT, Jeeva Kandasamy
no flags Details
server log (3.43 KB, text/plain)
2015-09-21 06:22 EDT, Jeeva Kandasamy
no flags Details

  None (edit)
Description Jeeva Kandasamy 2015-09-21 06:22:05 EDT
Created attachment 1075453 [details]
support page

Description of problem:
When we select offline EAP to create a support case and include JDR report as attachment, when we submit throws internal server error and submitted successfully. But "Submit" is button still active which leads user to click one more time and creating another case with same information.

Version-Release number of selected component (if applicable):
JBoss Operations Network
Version : 3.3.0.GA Update 04
Build Number : b42d4f0:9e8659d
GWT Version : 2.5.0
SmartGWT Version : 3.0p

How reproducible:
always

Steps to Reproduce:
1. Add JBoss EAP in JON
2. Shutdown EAP(step#1), and make it offline
3. Open EAP (step#1) from servers page (Inventory-->Resources-->Servers)
4. On left side panel right click on EAP, you can see 'Open Support Case', click it
5. Enter some details, click on next, you can see "EAP JDR Report", click that attachment and click submit. You can see internal server error and same time new case created successfully message. however submit button not disable and we can click it one more time and it leads duplicate support case.

Actual results:
- Allow to create duplicate report.
- Shows "Internal server error" (but in server.log shows the error message clearly "Cannot obtain report, resource is not UP").

Expected results:
- Should not allow to submit one more time if support case submitted successfully.
- Error should be meaningful or should not allow to select offline resources.

Additional info:

Browser: Firefox 40.0.3
OS: Fedora 22, GNOME

screenshot and server.log are attached
Comment 1 Jeeva Kandasamy 2015-09-21 06:22 EDT
Created attachment 1075454 [details]
server log

Note You need to log in before you can comment on or make changes to this bug.